Page MenuHomeVyOS Platform

Accel-ppp op-mode syntax
Closed, ResolvedPublicFEATURE REQUEST

Description

Replace connection failed to user-friendly format.

sever@vyos-1.3-bgp:~$ show ipoe-server sessions 
Connection to "localhost:2002" failed
sever@vyos-1.3-bgp:~$ show ipoe-server statistics 
Connection to "localhost:2002" failed

sever@vyos-1.3:~$ show l2tp-server sessions 
Connection to "localhost:2004" failed

sever@vyos-1.3:~$ show pppoe-server 
Possible completions:
  interfaces    Show interfaces where pppoe-server listens on
  sessions      Show active PPPoE server sessions
  statistics    Show PPPoE server statistics

      
sever@vyos-1.3:~$ show pppoe-server interfaces 
Connection to "localhost:2001" failed
sever@vyos-1.3:~$ show pppoe-server sessions 
Connection to "localhost:2001" failed
sever@vyos-1.3:~$ 

sever@vyos-1.3:~$ show pptp-server sessions 
Connection to "localhost:2003" failed

sever@vyos-1.3-bgp:~$ show sstp-server sessions 
Connection to "localhost:2005" failed

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Improvement (missing useful functionality)

Event Timeline

Dmitry changed the task status from Open to In progress.Apr 14 2020, 6:47 PM

Improve op-mode commands for ipoe-server
https://github.com/vyos/vyos-1x/pull/344

vyos@vyos:~$ show ipoe-server sessions 
ifname | username |    calling-sid    |     ip     | rate-limit | type | comp | state  |  uptime  
--------+----------+-------------------+------------+------------+------+------+--------+----------
 ipoe0  |          | 00:50:79:66:68:09 | 100.64.0.2 |            | ipoe |      | active | 00:00:11 
 ipoe1  |          | 00:50:79:66:68:0a | 100.64.0.3 |            | ipoe |      | active | 00:00:09

vyos@vyos:~$ reset ipoe-server session interface 
Possible completions:
  ipoe0         Clear ipoe-server session by interface
  ipoe1

vyos@vyos# delete service ipoe-server 
[edit]
vyos@vyos# commit
[edit]
vyos@vyos# exit
Warning: configuration changes have not been saved.
exit
vyos@vyos:~$ show ipoe-server sessions 
Service IPoE is not configured
Dmitry changed the task status from In progress to Needs testing.Apr 17 2020, 6:49 AM

@Viacheslav can you check?

@Dmitry Looks good.

sever@vyos-1.3-roll:~$ show ipoe-server sessions 
Service IPoE is not configured
sever@vyos-1.3-roll:~$ 
sever@vyos-1.3-roll:~$  show ipoe-server statistics
Service IPoE is not configured
sever@vyos-1.3-roll:~$ 
sever@vyos-1.3-roll:~$ show l2tp-server sessions 
Service l2tp is not configured
sever@vyos-1.3-roll:~$ 
sever@vyos-1.3-roll:~$ show pppoe-server interfaces 
Service pppoe is not configured
sever@vyos-1.3-roll:~$ 
sever@vyos-1.3-roll:~$ show pppoe-server sessions 
Service pppoe is not configured
sever@vyos-1.3-roll:~$ show pppoe-server statistics 
Service pppoe is not configured
sever@vyos-1.3-roll:~$ 
sever@vyos-1.3-roll:~$ show pptp-server sessions 
Service pptp is not configured
sever@vyos-1.3-roll:~$ show pptp-server statistics 
Service pptp is not configured
sever@vyos-1.3-roll:~$ show sstp-server sessions 
Service sstp is not configured
sever@vyos-1.3-roll:~$ show sstp-server statistics 
Service sstp is not configured
sever@vyos-1.3-roll:~$
erkin set Issue type to Improvement (missing useful functionality).Aug 30 2021, 7:16 AM
erkin removed a subscriber: Active contributors.